Get an invoice by ID
https://api.propexo.com/v1/invoices/:invoice_idAuthentication
- AuthorizationBearerBearer authentication of the form
Bearer <token>, where token is your auth token.
Path parameters
The ID of the resource.
Query parameters
Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc
created_at:descFilter to records updated at or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)
Filter to records updated at or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)
Filter to records whose last_seen date is on or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)
Filter to records whose last_seen date is on or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)
Possible values: >= 0
Can be used for paginating results
0Possible values: >= 0 and <= 250
A number between 1 and 250 to determine the number of results to return in a single query
100Response
Successful response
- Array [
- ]
- Array [
- ]
meta objectrequired
The offset of the first result
Possible values: >= 0
0The number of results to return
Possible values: >= 0 and <= 250
100orderBy object[]required
The order of the results
Whether there are more results
The total number of results
Possible values: >= 0
1000results objectrequired
The Propexo unique identifier for the invoice
clwktsp9v000008l31iv218hnThe date record first entered Propexo
2024-03-21T15:38:08.337ZThe date record was last updated in Propexo
2024-03-22T10:59:45.119ZThe date the record was last seen from the PMS
2024-03-22T10:59:45.119ZThe external ID from the integration vendor
| Interface | Method |
|---|---|
| Bills | GET /bills |
1598645The external ID of the property from the integration vendor
| Interface | Method |
|---|---|
| Bills | GET /bills |
naThe external ID of the location (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations.
This field will always be null for BUILDIUM
nullThe external ID of the vendor from the integration vendor
| Interface | Method |
|---|---|
| Bills | GET /bills |
HOAThe external ID of the financial account from the integration vendor
This field will always be null for BUILDIUM
nullThe external ID of the cash financial account from the integration vendor
This field will always be null for BUILDIUM
nullThe external ID of the AP financial account from the integration vendor
This field will always be null for BUILDIUM
nullThe amount due on the invoice, in cents
This field will always be null for BUILDIUM
nullThe amount paid on the invoice, in cents
This field will always be null for BUILDIUM
nullcustom_data object | nullrequired
The due date associated with the invoice
| Interface | Method |
|---|---|
| Bills | GET /bills |
2025-01-01T00:00:00.000ZThe deposit amount in cents associated with the invoice
This field will always be null for BUILDIUM
nullThe date a discount was issued on invoice
This field will always be null for BUILDIUM
nullThe date the invoice was issued
| Interface | Method |
|---|---|
| Bills | GET /bills |
2025-01-01T00:00:00.000ZThe reference number for the invoice
| Interface | Method |
|---|---|
| Bills | GET /bills |
123ABC456Notes associated with the invoice
| Interface | Method |
|---|---|
| Bills | GET /bills |
Pet cleaning feeThe date the invoice was posted. Some PMS systems only show the month.
This field will always be null for BUILDIUM
nullThe month the invoice was posted.
This field will always be null for BUILDIUM
nullThe raw post status associated with the invoice
This field will always be null for BUILDIUM
nullThe sub total amount of the invoice
This field will always be null for BUILDIUM
nullThe amount of the invoice, in cents
This field will always be null for BUILDIUM
nullThe Propexo unique identifier for the property
clwi5xiix000008l6ctdgafyhThe Propexo unique identifier for the financial account
This field will always be null for BUILDIUM
nullThe Propexo unique identifier for the cash financial account
This field will always be null for BUILDIUM
nullThe Propexo unique identifier for the ap financial account
This field will always be null for BUILDIUM
nullThe Propexo unique identifier for the integration
clwh5u07w000508me66sfh3umThe property management system of record
Show 13 enum values
BUILDIUMAPPFOLIOENTRATAMRIPROPERTYWAREPROPERTYWARE_RESTREALPAGEREALPAGE_RPXRENTMANAGERRENTVINERESMANYARDIYARDI_RESTBUILDIUMinvoice_items object[]required
The invoice list items associated with the invoice
The external ID from the integration vendor
| Interface | Method |
|---|---|
| Bills | GET /bills |
cmggnx9vo11355113641x3253h3vem4yThe external ID of the property from the integration vendor
| Interface | Method |
|---|---|
| Bills | GET /bills |
naThe external ID of the location (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations.
This field will always be null for BUILDIUM
nullThe external ID of the financial account from the integration vendor
| Interface | Method |
|---|---|
| Bills | GET /bills |
345090The external ID of the cash financial account from the integration vendor
This field will always be null for BUILDIUM
nullThe Propexo unique identifier for the invoice
| Interface | Method |
|---|---|
| Bills | GET /bills |
cmgfa2sta13334133751s3g7ak1mq1614The Propexo unique identifier for the construction job
This field will always be null for BUILDIUM
nullThe amount due on the invoice item, in cents
This field will always be null for BUILDIUM
nullNotes associated with the invoice item
| Interface | Method |
|---|---|
| Bills | GET /bills |
CleaningThe amount of the invoice item, in cents
| Interface | Method |
|---|---|
| Bills | GET /bills |
100000The Propexo unique identifier for the property
clwi5xiix000008l6ctdgafyhThe Propexo unique identifier for the financial account
| Interface | Method |
|---|---|
| Bills | GET /bills |
cmgiew7ex30866308791t6nq1q13wichuThe Propexo unique identifier for the cash financial account
This field will always be null for BUILDIUM
nullErrors
400Bad Request
error objectrequired
codestringrequiredExample:invalid_requestmessagestringrequiredExample:invalid requestdetails object
property name*anyExample:{"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
curl https://api.propexo.com/v1/invoices/:invoice_id \
-H "Authorization: Bearer <token>"
{
"meta": {
"offset": 0,
"limit": 100,
"orderBy": [
{}
],
"hasMore": true,
"total": 1000
},
"results": {
"id": "clwktsp9v000008l31iv218hn",
"created_at": "2024-03-21T15:38:08.337Z",
"updated_at": "2024-03-22T10:59:45.119Z",
"last_seen": "2024-03-22T10:59:45.119Z",
"x_id": "1598645",
"x_property_id": "na",
"x_location_id": null,
"x_vendor_id": "HOA",
"x_financial_account_id": null,
"x_cash_financial_account_id": null,
"x_ap_financial_account_id": null,
"amount_due_in_cents": null,
"amount_paid_in_cents": null,
"custom_data": "Unknown Type: object,null",
"due_date": "2025-01-01T00:00:00.000Z",
"discount_amount_in_cents": null,
"discount_date": null,
"invoice_date": "2025-01-01T00:00:00.000Z",
"invoice_number": "123ABC456",
"notes": "Pet cleaning fee",
"post_date": null,
"post_month": null,
"post_status_raw": null,
"sub_total_amount_in_cents": null,
"total_amount_in_cents": null,
"property_id": "clwi5xiix000008l6ctdgafyh",
"financial_account_id": null,
"cash_financial_account_id": null,
"ap_financial_account_id": null,
"integration_id": "clwh5u07w000508me66sfh3um",
"integration_vendor": "BUILDIUM",
"invoice_items": [
{
"x_id": "cmggnx9vo11355113641x3253h3vem4y",
"x_property_id": "na",
"x_location_id": null,
"x_gl_account_id": "345090",
"x_cash_financial_account_id": null,
"invoice_id": "cmgfa2sta13334133751s3g7ak1mq1614",
"construction_job_id": null,
"amount_due_in_cents": null,
"notes": "Cleaning",
"total_amount_in_cents": 100000,
"property_id": "clwi5xiix000008l6ctdgafyh",
"financial_account_id": "cmgiew7ex30866308791t6nq1q13wichu",
"cash_financial_account_id": null
}
]
}
}